<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geronimo-plugin xmlns="http://geronimo.apache.org/xml/ns/plugins-1.3" xmlns:ns2="http://geronimo.apache.org/xml/ns/attributes-1.2">
    <name>Geronimo Plugins, Tomcat :: Tomcat</name>
    <category>Tomcat</category>
    <pluginGroup>false</pluginGroup>
    <description>Geronimo Tomcat web server integration.</description>
    <url>http://geronimo.apache.org/</url>
    <author>The Apache Geronimo development community</author>
    <license osi-approved="true">The Apache Software License, Version 2.0</license>
    <plugin-artifact>
        <module-id>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>tomcat7</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </module-id>
        <geronimo-version>3.0.0</geronimo-version>
        <jvm-version>1.6</jvm-version>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>j2ee-server</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>server-security-config</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>transaction-1_6</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-tomcat7</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-webservices</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jaxr_1.0_spec</artifactId>
            <version>2.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.wsdl4j</artifactId>
            <version>1.6.2_2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.javamail</groupId>
            <artifactId>geronimo-javamail_1.4_mail</artifactId>
            <version>1.8.3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-wab</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-web</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.modules</groupId>
            <artifactId>geronimo-j2ee-schema</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>geronimo-deployment</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.xmlbeans</artifactId>
            <version>2.4.0_3</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.xmlresolver</artifactId>
            <version>1.2_2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>geronimo-service-builder</artifactId>
            <version>3.0.0</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-javaee-deployment_1.1MR3_spec</artifactId>
            <version>1.0.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>openejb-jee</artifactId>
            <version>4.0.0-beta-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.ext.tomcat</groupId>
            <artifactId>catalina</artifactId>
            <version>7.0.27.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.ext.tomcat</groupId>
            <artifactId>catalina-ha</artifactId>
            <version>7.0.27.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.configs</groupId>
            <artifactId>jasper</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-jaxws_2.2_spec</artifactId>
            <version>1.1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.ext.tomcat</groupId>
            <artifactId>tribes</artifactId>
            <version>7.0.27.1</version>
            <type>jar</type>
        </dependency>
        <source-repository>~/.m2/repository/</source-repository>
        <source-repository>http://repo1.maven.org/maven2/</source-repository>
        <source-repository>http://repository.apache.org/snapshots/</source-repository>
        <copy-file dest-dir="var/catalina" relative-to="server">tomcat-base/</copy-file>
        <config-xml-content/>
        <artifact-alias key="org.apache.geronimo.configs/tomcat7/3.0-beta-1/car">org.apache.geronimo.configs/tomcat7/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/tomcat7/3.0-M1/car">org.apache.geronimo.configs/tomcat7/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/tomcat7//car">org.apache.geronimo.configs/tomcat7/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/openjpa//car">org.apache.geronimo.configs/openjpa2/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.configs/persistence-jpa10-deployer//car">org.apache.geronimo.configs/persistence-jpa20-deployer/3.0.0/car</artifact-alias>
        <config-substitution key="HTTPPort">8080</config-substitution>
        <config-substitution key="AJPPort">8009</config-substitution>
        <config-substitution key="HTTPSPort">8443</config-substitution>
        <config-substitution key="WebConnectorConTimeout">20000</config-substitution>
        <config-substitution key="webcontainer">TomcatWebContainer</config-substitution>
        <config-substitution key="webcontainerName">tomcat7</config-substitution>
    </plugin-artifact>
</geronimo-plugin>
